$post-navigation-height: 140px;
[data-shortcode-tag="post-navigation"]{
	position: sticky;
	top :50vh;
}

.post-navigation{
	position: absolute;
	top: 50%;
	cursor: pointer;
	transform: translateY( -1 * $post-navigation-height / 2 );
	height: 100px + $post-navigation-height;
	color: #FFF !important;
	.post-navigation-block{
		overflow: visible;
	}
	.post-navigation-arrow{
		position: absolute;
		top: 0;
		cursor: pointer;
		height: $post-navigation-height;
		width: 32px;
		background: #939a9f;
		text-align: center;
		line-height: $post-navigation-height;
		transition: all .2s ease-in-out;
		overflow: hidden;
	}
	
	&.post-navigation-prev{
		overflow-x:hidden;
		left: 0;
		.post-navigation-arrow{
			left: 0px;
		}
		.post-navigation-block{
			transform: translateX(-100%);
		}
		&:hover{
			.post-navigation-arrow{
				text-indent: -52px;
			}
		}
	}
	&.post-navigation-next{
		right: 0;
		overflow-x:hidden;
		.post-navigation-block{
			transform: translateX(100%);
		}
		.post-navigation-arrow{
			right: 0px;
		}
		&:hover{
			.post-navigation-arrow{
				text-indent: 52px;
			}
		}	
	}
	.post-navigation-block{
		transition: all .5s ease-in-out;
		transition-delay: .5s;
		position: relative;
		img{
			position: relative;
			z-index: 1;
			height: $post-navigation-height;
			width: auto;
		}
		h6{
			padding: 10px;
			background: #333;
			position: absolute;
			bottom: 0;
			width: 100%;
			left:0;
			text-transform: uppercase;
			font-weight: 300;
			transition: all .2s ease-in-out;
			transition-delay: 1s;			
		}
	}
	&:hover{
		.post-navigation-block{
			transform: translateX(0);
		}
		h6{
			transform: translateY(calc(100% + 5px));
		}
	}
}